| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - b -

- B : IP_GPIO_001_T
- B1ADD : IP_ENET_001_TXDESC_T , IP_ENET_001_RXDESC_T , IP_ENET_001_ENHRXDESC_T , IP_ENET_001_ENHTXDESC_T
- B2ADD : IP_ENET_001_RXDESC_T , IP_ENET_001_ENHRXDESC_T , IP_ENET_001_TXDESC_T , IP_ENET_001_ENHTXDESC_T
- b3 : K9F1G_ID_T
- b4 : K9F1G_ID_T
- b5 : K9F1G_ID_T
- Babble : PHCD_QTD , st_EHCD_ITD , st_EHCD_SITD
- BackPointer : st_EHCD_SITD
- BASE_CLK : LPC_CGU_T
- BASE_STAT : LPC_CCU1_T , LPC_CCU2_T
- BaseAddr : IP_EMC_DYN_DEVICE_CONFIG_T
- baudrate_in_hz : UART_CONFIG_T
- bdsize : SWIM_WINDOW_T
- BINTERVAL : IP_USBHS_001_T
- BitOffset : HID_ReportItem_t
- BITRATE : I2S_RATE_CONFIG
- bits : SSP_ConfigFormat , CHIP_SPI_CONFIG_FORMAT_T
- bitsAccuracy : ADC_Clock_Setup_T
- BitSize : HID_ReportItem_Attributes_t
- bkg : SWIM_WINDOW_T
- Bl : LCD_PALETTE_ENTRY_T
- BlkAlign : MEM_POOL
- BlkIx : MEM_POOL
- BlkNbr : MEM_POOL
- BLKSIZ : IP_SDMMC_001_T
- BlkSize : MEM_POOL , OS_MEM
- block_cnt : lpc_nandflash_size_t
- block_len : SDMMC_CARD_T
- BlockCount : USBD_MSC_INIT_PARAM_T
- blocknr : SDMMC_CARD_T
- BlockNum : IP_SDC_001_DATA_TRANSFER_T
- Blocks : SCSI_Capacity_t
- BlockSize : K9F1G_ID_T , IP_SDC_001_DATA_TRANSFER_T , USBD_MSC_INIT_PARAM_T , SCSI_Capacity_t
- BMOD : IP_SDMMC_001_T
- BODCTRL : LPC_SYSCTL_T
- BootCode : DISKIMAGE
- BootSector : DISKIMAGE
- BootSectorSignature : DISKIMAGE
- BPB_BytsPerSec : BSStruct
- BPB_FATSz16 : BSStruct
- BPB_HiddSec : BSStruct
- BPB_Media : BSStruct
- BPB_NumFATs : BSStruct
- BPB_NumHeads : BSStruct
- BPB_RootEntCnt : BSStruct
- BPB_RsvdSecCnt : BSStruct
- BPB_SecPerClus : BSStruct
- BPB_SecPerTrk : BSStruct
- BPB_TotSec16 : BSStruct
- BPB_TotSec32 : BSStruct
- BPP : LCD_Config_T
- BRG : IP_USART_002_T
- BRP : IP_CAN_BUS_TIMING_T
- BRPE : IP_CCAN_001_T
- BS_BootSig : BSStruct
- BS_DrvNum : BSStruct
- BS_FilSysType : BSStruct
- BS_jmpBoot : BSStruct
- BS_OEMName : BSStruct
- BS_Reserved1 : BSStruct
- BS_VolID : BSStruct
- BS_VolLab : BSStruct
- BSIZE : IP_ENET_001_TXDESC_T , IP_ENET_001_ENHTXDESC_T
- BT : IP_CCAN_001_T
- BTR : IP_CAN_001_T
- Bu : LCD_PALETTE_ENTRY_T
- buf : FIL
- BUFADDR : IP_SDMMC_001_T
- Buffer : USB_Pipe_Data_t , SDMMC_EVENT_T
- buffer : UART_PARAM_T , Ring_Buffer_t
- buffer_ptr_recv : I2C_PARAM_T
- buffer_ptr_send : I2C_PARAM_T
- buffer_size : DFUPROG_REGION_T
- BufferAddress : Pipe_Stream_Handle_T
- BufferAddrOffset : USB_CMD_STAT
- BufferEnd : st_HC_GTD , st_HCD_IsoTransferDescriptor
- BufferError : PHCD_QTD , st_EHCD_ITD , st_EHCD_SITD
- BufferLength : DMADescriptor
- BufferPage0 : st_HCD_IsoTransferDescriptor
- BufferPointer : PHCD_QTD , st_EHCD_ITD , st_EHCD_SITD
- BufferRounding : st_HC_GTD
- BufferSize : USB_Pipe_Data_t
- BufferStartAddr : DMADescriptor
- build_date : image_sig
- build_time : image_sig
- BulkCurrentED : IP_USB_001_T
- BulkHeadED : IP_USB_001_T
- burstMode : ADC_Clock_Setup_T
- BURSTSIZE : IP_USBHS_001_T
- BYTCNT : IP_SDMMC_001_T
- byteNum : FLASH_COPY_RAM_TO_FLASH_COMMAND_T , FLASH_COMPARE_MEM_COMMAND_T
- bytes : MEM_TEST_SETUP_T
- ByteTransfered : USB_Pipe_Data_t